petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDualSpaceGetHeightSubspace

Get the subset of the dual space basis that is supported on a mesh point of a given height.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetHeightSubspace(PetscDualSpace sp, PetscInt height, PetscDualSpace *bdsp)

If the dual space is not defined on mesh points of the given height (e.g. if the space is discontinuous and pointwise values are not defined on the element boundaries), or if the implementation of PetscDualSpace does not support extracting subspaces, then NULL is returned.

This does not increment the reference count on the returned dual space, and the user should not destroy it.

Not collective

### Input Parameters

| sp | - the PetscDualSpace object
| height | - the height of the mesh point for which the subspace is desired

### Output Parameters

bdsp - the subspace: must be destroyed by the user

### See Also

PetscDualSpace

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages